<?
session_name('portal_absa');
session_start();
?>
<script>
function agregaCompensacion(uuid){
	var uuidEgreso = '<?=$_POST['id']?>';
	var uuidIngreso = uuid;
	if('<?=$_POST['id']?>' != uuidIngreso){ 
		ventanaModal3("[formularios/form_compensar_documento.php,800,600]",uuidEgreso,uuidIngreso);
	}
}
function agregaCFDIRelacionado(){
	var uuidEgreso = '<?=$_POST['id']?>';
		ventanaModal3("[formularios/form_buscar_relacionar_ingreso.php,800,600]",uuidEgreso);
}
function delCFDIRelacionado(uuid){
	$j_6.messager.confirm("Confirmar","<?=utf8_encode("¿")?>Esta seguro de eliminar la relaci&oacute;n.",function(r){
		if(r){
			var uuidEgreso = '<?=$_POST['id']?>';
			var uuidIngreso = uuid;
			$j_6.post("formularios/extras/quita_relacion_cfdi.php",{uuidIngreso: uuidIngreso, uuidEgreso: uuidEgreso},function(data){
				$j_6("#result").html(data);
			});			
		}
		return false;
	});
}
function delCFDICompensacion(uuid){
	$j_6.messager.confirm("Confirmar","<?=utf8_encode("¿")?>Esta seguro de deshacer la compensaci&oacute;n.",function(r){
		if(r){
			var uuidEgreso = '<?=$_POST['id']?>';
			var uuidIngreso = uuid;
			$j_6.post("formularios/extras/quita_compensacion.php",{uuidIngreso: uuidIngreso, uuidEgreso: uuidEgreso},function(data){
				$j_6("#result").html(data);
			});		
		}
		return false;
	});
}
$j_6(function(){
	$j_6('#tree_CFDIRelacionados').treegrid({
		title:'Ingresos relacionados al egreso para compensar.',
		iconCls:'icon-save',
		width:1000,
		height:1000,
		nowrap: false,
		rownumbers: true,
		animate:true,
		collapsible:true,
		url:'extras/cfdirelacionadosIngresoJSON.php?uuid=<?=$_POST['id']?>',
		idField:'uuid',
		treeField:'uuid',
		frozenColumns:[[			
			{title:'UUID',field:'uuid',height: 100,width:500,
				formatter:function(value,row){
					if(value.indexOf("--IMGADD--") != -1){
						value=value.replace("--IMGADD--","");
						value='<img src="Imagenes/addDoc.png" width="24" height="24" onclick="agregaCFDIRelacionado()"/>';
						row.iconCls = 'icon-blank';
					}else{
						<?if($_SESSION['esAdmin_p_prov_absa'] == "SI"){?>
							if('<?=$_POST['id']?>' != value){
								value='<span>'+value+'</span>&nbsp;&nbsp;<img style="cursor: pointer" title="Compensar documento" src="Imagenes/compensar.png" width="24" height="24" onclick="agregaCompensacion(\''+value+'\')"/>'+
								'&nbsp;<img style="cursor: pointer" title="Remover compensaci&oacute;n" src="Imagenes/compensarLimpia.png" width="24" height="24" onclick="delCFDICompensacion(\''+value+'\')"/>'+
								'&nbsp;<img style="cursor: pointer" title="Eliminar relaci&oacute;n a este documento" src="Imagenes/deleteDoc.png" width="24" height="24" onclick="delCFDIRelacionado(\''+value+'\')"/>';
							}
						<?}else if(trim($_SESSION['sesion_compensar_documentos']) == "1"){?>
							value='<span>'+value+'</span>&nbsp;&nbsp;<img style="cursor: pointer" title="Compensar documento" src="Imagenes/compensar.png" width="24" height="24" onclick="agregaCompensacion(\''+value+'\')"/>'+
								'&nbsp;<img style="cursor: pointer" title="Eliminar relaci&oacute;n a este documento" src="Imagenes/deleteDoc.png" width="24" height="24" onclick="delCFDIRelacionado(\''+value+'\')"/>';
						<?}?>
					}
					return value;
				}
			}
		]],
		columns:[[
			{field:'serie',title:'Serie',height: 100,width:70},
			{field:'folio',title:'Folio',height: 100,width:100,rowspan:2},
			{field:'nombreemi',title:'Emisor',height: 100,width:330,rowspan:2}
		]],/*,
		onBeforeLoad:function(row,param){
			if (row){
				$j_6(this).treegrid('options').url = 'extras/treegrid_subdata.json';
			} else {
				$j_6(this).treegrid('options').url = 'extras/cfdirelacionados.json';
			}
		}*/
		onContextMenu: function(e,row){
			e.preventDefault();
			$j_6(this).treegrid('unselectAll');
			$j_6(this).treegrid('select', row.uuid);
			$j_6('#mm').menu('show', {
				left: e.pageX,
				top: e.pageY
			});
		}
		
	});
});
function getFile(tipo){
	var node = $j_6('#tree_CFDIRelacionados').treegrid('getSelected');
	$j_6.post("extras/getNameFile.php",{uuid: node.uuid,tipo: tipo},function(data){
		$j_6("#result").html(data);
	});
}
</script>

<table id="tree_CFDIRelacionados"></table>
